Recovery Contacts
Verify recovery contact
POST
Requires scope recovery-contacts:write.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
application/json- body
contactId*stringThe contactId returned when the contact was set.
Format
uuidtoken*stringThe verifyToken returned when the contact was set, after you have confirmed with the contact that it reached them.
Length
1 <= length <= 512Response Body
200application/json
Recovery contact verified
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X POST 'https://api.pilot.shiga.io/v1/recovery-contacts/verify' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{ "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d", "token": "string"}'Example Response
{ "data": { "status": "verified" }, "status": 200, "success": true}